roasOS
API referenceProducts

List products

GET
/v1/products

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Query Parameters

cursor?string

Opaque composite pagination cursor from the previous response. Do not parse or construct it.

limit?integer

Number of items to return

Range1 <= value <= 100
Default20

Response Body

application/json

curl -X GET "https://example.com/v1/products"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "physical",      "name": "string",      "description": "string",      "brand": "string",      "category": "string",      "images": [        "http://example.com"      ],      "icon": "http://example.com",      "product_url": "http://example.com",      "thumbnail": "http://example.com",      "reference_sheet": "http://example.com",      "facts": {        "property1": null,        "property2": null      },      "kit": {        "status": "none",        "version": 0,        "hero": "front",        "angles": {          "front": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "three_quarter": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "detail": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "in_hand": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "side_left": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "side_right": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "top": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "surface": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          },          "back": {            "url": "http://example.com",            "verified": true,            "score": 0,            "source": "generated"          }        },        "cutouts": [          {            "raw": "http://example.com",            "url": "http://example.com",            "angle": "string"          }        ]      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "cursor": "string",    "has_more": true  }}